<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * @copyright  2013 NPO CCC-TIES <info@cccties.org>
 * @author Codia <system.info@codia.co.jp>
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
**/

defined('MOODLE_INTERNAL') || die();

function xmldb_local_ties_upgrade($oldversion) {
    global $CFG, $DB, $OUTPUT;

    $dbman = $DB->get_manager();
    $newversion = 2013070901;

    if ($oldversion < $newversion) {
        // インストールが完了したら、データを登録する
        upgrade_plugin_savepoint(true, $newversion, 'local', 'ties');
    }

    if ($oldversion <= 2013052701 ){
        $dbman = $DB->get_manager();
        if(array_key_exists('local_ties_modules', $DB->get_tables())){

            $targettablename = 'local_ties_modules';
            $table = new xmldb_table($targettablename);
            $dbman->drop_table($table);
        }

        if(array_key_exists('local_ties_modules_update', $DB->get_tables())){
            $targettablename = 'local_ties_modules_update';
            $table = new xmldb_table($targettablename);
            $dbman->drop_table($table);
        }
    }

    return true;
}
